Name:		perl-Package-Generator
Version:	1.106
Release:	14
Summary:	Generate new packages quickly and easily
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Package-Generator

Source0:	https://cpan.metacpan.org/authors/id/R/RJ/RJBS/Package-Generator-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	perl-generators perl(ExtUtils::MakeMaker) >= 6.30 perl(Carp)
BuildRequires:	perl(Scalar::Util) perl(Params::Util) >= 0.11 perl(Test::More) >= 0.47 perl(Test::Pod)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module lets you quickly and easily construct new packages. It gives
them unused names and sets up their package data, if provided.

%package_help

%prep
%autosetup -p1 -n Package-Generator-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"

%files
%doc LICENSE
%{perl_vendorlib}/Package/

%files help
%doc Changes README
%{_mandir}/man3/Package::Generator.3pm*
%{_mandir}/man3/Package::Reaper.3pm*

%changelog
* Sun Dec 1 2019 jiaxiya<jiaxiya@163.com> - 1.106-14
- Package init
